div.modal-container {
  @include fullscreen-container;
  @include fullscreen-container-vertical-offset(48px);
  @include flex-center;

  z-index: 500;

  @media (max-width: 512px) {
    @include fullscreen-container-full;
  }

  div.modal {
    display: flex;
    flex-direction: column;
    pointer-events: auto;

    width: 512px;
    max-height: calc(90vh - 32px - 32px);

    background-color: $color-background;
    box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.25);

    visibility: hidden;
    transition: transform 0.5s ease, visibility 0.5s;
    transform: translate(0, 100vh);

    @media (max-width: 512px) {
      width: 100vw;
      max-width: none;
      height: 100vh;
      max-height: unset;
    }

    div.modal-header {
      display: flex;
      flex-direction: row;

      width: 100%;
      padding: 24px 32px;
      z-index: 10;

      background-color: $color-primary;
      color: $color-text;
      box-shadow: 0px 4px 4px -2px rgba(0, 0, 0, 0.25);

      line-height: 1;

      h1 { flex-grow: 1; }
      button.modal-close {
        font-size: 24px;
        margin: 0px;
        padding: 0px;

        &:hover { background-color: transparent }
        &:active { background-color: transparent }
      }
    }

    div.modal-body {
      padding: 32px;
      overflow-y: auto;

      @media (max-width: 512px) {
        height: 100vh;
      }

      .modal-card {
        padding: 32px;
        margin-bottom: 32px;

        background-color: $color-card;
        box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.25);

        &:last-child {
          margin-bottom: 0px;
        }
      }

      table {
        width: 100%;
        caption {
          display: block;
          text-align: left;
          padding: 16px 32px;
          font-size: 24px;

          h2 { display: block; }
        }

        td { padding: 16px 32px; }
        tr {
          border: 1px solid 0;
          &:last-child { border-bottom: none; }
        }
      }
    }

    h1 { font-size: 24px; }
    h2 { font-size: 24px; margin-bottom: 0.5em; }
    p {
      margin: 1em 0px;
      &:last-child { margin-bottom: 0px; }
    }

    &.is-visible {
      transform: translate(0, 0);
      visibility: visible;
    }
  }
}
